<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKTreeViewBase from './ibizbooktree-view-base.vue';

import view_tree from '@widgets/ibizbook/tree-major-state-treeview/tree-major-state-treeview.vue';
// 基于 @VIEW/实体树视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_tree, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKTreeView extends IBIZBOOKTreeViewBase {

}
</script>